%define module_name Thread-CSP
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/ParseXS.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(lib.pm) perl(strict.pm) perl(threads/shared.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.014
Release: alt1
Summary: Communicating sequential processes threading for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz

%description
This module implements share-nothing threads for perl. One crucial difference with `threads.pm' threads is that the original thread will not be cloned except for the arguments that you pass on thread creation. Thread::CSP::Channels (also using cloning to get values across) are used for inter-thread communication; one or more channels will nearly always be such creation arguments.

Please note that at this stage this module is a research project. In no way is API stability guaranteed. It is released for evaluation purposes only, not for production usage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_archlib/T*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.014-alt1
- updated by package builder

* Tue Jan 09 2024 Igor Vlasenko <viy@altlinux.org> 0.013-alt1
- updated by package builder

* Tue Dec 05 2023 Igor Vlasenko <viy@altlinux.org> 0.011-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.010-alt2
- rebuild with perl 5.38

* Fri May 12 2023 Igor Vlasenko <viy@altlinux.org> 0.010-alt1
- initial import by package builder

